Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691960 - missing metrics for one node - many-to-many matching not allowed
Summary: missing metrics for one node - many-to-many matching not allowed
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.z
Assignee: Frederic Branczyk
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 23:53 UTC by Vladislav Walek
Modified: 2019-04-04 16:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Vladislav Walek 2019-03-22 23:53:51 UTC
Description of problem:

the grafana shows no data for one node, but shows others.
when trying to curl the port 9101 on localhost, it actually gives some metrics.
The prometheus shows the error below, but not sure if this is related to that node:

level=warn ts=2019-03-19T16:20:05.325317361Z caller=manager.go:343 component="rule manager" group=node.rules msg="Evaluating rule failed" rule="record: node:node_net_utilisation:sum_irate\nexpr: sum by(node) ((irate(node_network_receive_bytes{device=\"eth0\",job=\"node-exporter\"}[1m])\n  + irate(node_network_transmit_bytes{device=\"eth0\",job=\"node-exporter\"}[1m])) * on(namespace,\n  pod) group_left(node) node_namespace_pod:kube_pod_info:)\n" err="many-to-many matching not allowed: matching labels must be unique on one side"


Version-Release number of selected component (if applicable):
OpenShift Container Platform 3.11

How reproducible:
#n/a

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.